## sshlink 0.1

=== Makefile ===
# Makefile - makefile for sshlink
PACKAGE=sshlink
VERSION=0.5
DESTDIR = 

# directory to install the binaries in
SBINDIR=$(DESTDIR)/usr/sbin
USERBINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc/
MANDIR1=$(DESTDIR)/usr/share/man/man1
SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)
CFGDIR=$(DESTDIR)/usr/share/$(PACKAGE)
LOCALEDIR=$(DESTDIR)/usr/share/locale

# ------------- don't edit anything below this line --------------

CREATE_DIRS=$(LIBDIR)
MANPAGE=$(PACKAGE).1
MODULES="sshclient.py daemonize.py cfgparser.py"

all: $(MANPAGE)

install: all
	mkdir -p $(CREATE_DIRS)
	install -m 644 $(PACKAGE).conf $(ETCDIR)
	install -m 644 $(PACKAGE).conf $(DOCDIR)/$(PACKAGE).conf.example
	install -m 755 $(PACKAGE).py $(USERBINDIR)/$(PACKAGE)
	install -m 644 $(MANPAGE) $(MANDIR1)
	for MODULE in $(MODULES); do \
		install -m 755 $$MODULE $(LIBDIR); \
	done ;\

$(MANPAGE): $(MANPAGE).txt
	asciidoc -b docbook -d manpage $(MANPAGE).txt
	xmlto man $(MANPAGE).xml

clean:
	rm -f *.pyc $(MANPAGE).xml $(MANPAGE) *-stamp
	rm -rf dist/

dist: clean
	mkdir -p dist
	tar -cvzf dist/sshlink-$(VERSION).tar.gz --exclude dist --exclude=CVS \
		--exclude=webpage --exclude=debian .

=== debian/changelog ===
sshlink (0.1) unstable; urgency=low

  * Using Pexpect to interface with ssh
  * Configuration file: /etc/sshlink.conf
  * Multiple hosts supported
  * Test mode
  * Man-page
  * Init.d file

 -- Arnau Sanchez <arnau@ehas.org>  Fri,  8 Sep 2006 17:36:33 +0200

=== debian/control ===
Source: sshlink
Section: net
Priority: optional
Maintainer: Arnau Sanchez <arnau@ehas.org>
Build-Depends: debhelper (>= 4.0.0), asciidoc, xmlto
Standards-Version: 3.6.1

Package: sshlink
Architecture: all
Depends: python, python-pexpect, ssh
Suggests: bsdutils
Description: Create SSH backlinks to connect hosts behind firewalls
 A well-known method to connect a host that remains behind a firewall is 
 using a SSH back-link with a remote port forwarding. While that's a fairly 
 simple task, sshlink makes it simplier to configure.
 .
 You can use both password and RSA+passphrase authentification schemes. 
 Usually you may want to enable remote logging to get information about 
 connected hosts and available port forwarding.
 .
 Sshlink is written in Python and uses the handy Pexpect module to interface 
 with ssh.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sshlink.sgml > sshlink.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sshlink.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sshlink


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sshlink 1.0

=== debian/changelog ===
sshlink (1.0) unstable; urgency=low

  * Using Pexpect to interface with ssh
  * Configuration file: /etc/sshlink.conf
  * Multiple hosts supported
  * Test mode
  * Man-page
  * Init.d file

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 16 Apr 2007 14:01:12 -0500
